Summary:	PHP Manual
Name:		php-manual
Version:	4.3.3
Release:	1mdk
Group:		System/Servers
URL:		http://www.php.net/distributions/manual/
License:	PHP License
BuildRoot:	%{_tmppath}/%{name}-root
BuildRequires:	wget
BuildArch:	noarch

%define apachecontent /var/www/html

%description 
The php-manual package provides comprehensive documentation for the
PHP HTML-embedded scripting language, in HTML format.

%package en
Summary:	PHP Manual
Group:		System/Servers
Requires:	locales-en
Obsoletes:	mod_php3-manual php-manual php-manual_en
Provides:	mod_php3-manual php-manual php-manual_en
Provides: 	ADVXpackage

%description en
English version of the PHP manual.

%package fr
Summary:	PHP Manual
Group:		System/Servers
Requires:	locales-fr
Provides: 	ADVXpackage

%description fr
French version of the PHP manual.

%package de
Summary:	PHP Manual
Group:		System/Servers
Requires:	locales-de
Provides: 	ADVXpackage

%description de
German version of the PHP manual.

%package es
Summary:	PHP Manual
Group:		System/Servers
Requires:	locales-es
Provides: 	ADVXpackage

%description es
Spanish version of the PHP manual.

%package it
Summary:	PHP Manual
Group:		System/Servers
Requires:	locales-it
Provides: 	ADVXpackage

%description it
Italian version of the PHP manual.


%prep
# We don't have any sources, because we'll fetch them
%setup -T -c

for lang in en fr de es it; do
  mkdir $lang
  wget -O- %{url}php_manual_$lang.tar.bz2|tar xj -C $lang
done


%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

mkdir -p %{buildroot}%{apachecontent}/addon-modules
pushd %{buildroot}%{apachecontent}/addon-modules
for lang in en fr de es it; do
  ln -s  ../../../..%{_docdir}/php-manual-$lang-%{version} \
	php-manual-$lang-%{version}
done
popd

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
[ -e ./php-manual_en ] && rm -fr ./php-manual_en

%files en
%defattr(-,root,root)
%doc en/*
%{apachecontent}/addon-modules/php-manual-en*

%files fr
%defattr(-,root,root)
%doc fr/*
%{apachecontent}/addon-modules/php-manual-fr*

%files de
%defattr(-,root,root)
%doc de/*
%{apachecontent}/addon-modules/php-manual-de*

%files es
%defattr(-,root,root)
%doc es/*
%{apachecontent}/addon-modules/php-manual-es*

%files it
%defattr(-,root,root)
%doc it/*
%{apachecontent}/addon-modules/php-manual-it*

%changelog
* Mon Aug 25 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.3-1mdk
- built for php 4.3.3

* Mon Jul 21 2003 David Baudens <baudens@mandrakesoft.com> 4.3.2-2mdk
- Rebuild to fix bad signature

* Tue Jun 03 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.2-1mdk
- built for 4.3.2

* Mon May 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.1-1mdk
- the obvious rebuild

* Thu Feb 13 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 4.3.0-2mdk
- rebuild

* Mon Jan  6 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 4.3.0-1mdk
- Get manuals with wget
- Get 5 languages (en fr de es it). Others may be added, depending on
  popularity and update frequency on the PHP site.
- Add Provides: ADVXpackage, all ADVX package will have this tag, 
  so we can easily do a rpm --whatprovides ADVXpackage to find out
  what ADVX packages a user has installed on his system. 

* Sat Sep  7 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 4.2.3-1mdk
- 4.2.3 maintenance release

* Fri Sep  6 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 4.2.2-2mdk
- don't use apache.apache as uid/gid

* Thu Aug 22 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 4.2.2-1mdk
- PHP 4.2.2

* Tue May 21 2002 Christian Belisle <cbelisle@mandrakesoft.com> 4.2.1-1mdk
- updated by Oden Eriksson <oden.eriksson@kvikkjokk.net>
	- misc spec file fixes
	- PHP 4.2.1

* Mon Apr 29 2002 Christian Belisle <cbelisle@mandrakesoft.com> 4.2.0-1mdk
- use %%setup instead of handling files manually.
- updated by Oden Eriksson <oden.eriksson@kvikkjokk.net>:
	- misc spec file fixes

* Sat Apr 27 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.2.0-1mdk
- PHP 4.2.0

* Mon Jan 07 2002 Christian Belisle <cbelisle@mandrakesoft.com> 4.1.1-1mdk
- PHP 4.1.1.

* Tue Dec 11 2001 Christian Belisle <cbelisle@mandrakesoft.com> 4.1.0-1mdk
- PHP 4.1.0.
- Added the complete URL in Source

* Fri Nov 16 2001 Christian Belisle <cbelisle@mandrakesoft.com> 4.0.6-3mdk
- Fix no-url and invalid-packager warnings in rpmlint.
- Now a noarch package (only html files).

* Fri Oct 19 2001 Christian Belisle <cbelisle@mandrakesoft.com> 4.0.6-2mdk
- fix obsolete-not-provided.

* Wed Jul  4 2001 Vincent Danen <vdanen@mandrakesoft.com> 4.0.6-1mdk
- 4.0.6
- s/Copyright/License/

* Sat Apr 14 2001 Jean-Michel Dault <jmdault@mandrakesoft.com> 4.0.4pl1-6mdk
- New, separate package for the php manual. It was split since it is
  maintained separately from PHP. Also, the package name has changed, since
  there is now multiple language versions. We only include the english
  for now, but we'll have other languages eventually.

